import { Filesystem } from "@capacitor/filesystem";
import type { GetUriOptions, MkdirOptions } from "@capacitor/filesystem";

export async function checkFileExists(getUriOptions: GetUriOptions): Promise<boolean> {
    try {
        await Filesystem.stat(getUriOptions);
        return true;
    } catch (_) {
        return false;
    }
}

export async function createDirectory(mkdirOptions: MkdirOptions) {
    try {
        await Filesystem.mkdir(mkdirOptions);
    } catch (_) { }
}